//+------------------------------------------------------------------+
//|                                                     Mn VLine.mq4 |
//+------------------------------------------------------------------+
#property copyright "Mn"
#property link      ""

#property indicator_chart_window
extern int mTime = 1, mHist = 5000;
extern color mCol = White;
extern int mStyle = 2, mWidth = 0; 

//+------------------------------------------------------------------+
int init()
  {

    return(0);
  }
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectsDeleteAll(0, 0);    //Delete V Lines
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
  double mm = WindowPriceMin()+ 5 * Point * 10;
   for (int i = 0; i < mHist; i++) 
   {
     if(TimeMinute(Time[i]) == 0 && TimeHour(Time[i]) == mTime)
       {
         ObjectCreate("mVL"+ i, OBJ_VLINE, 0, 0, 0, 0, 0);
         ObjectSet("mVL"+ i, OBJPROP_TIME1 , Time[i]);
         ObjectSet("mVL"+ i, OBJPROP_COLOR , mCol);
         ObjectSet("mVL"+ i, OBJPROP_STYLE , mStyle);
         ObjectSet("mVL"+ i, OBJPROP_WIDTH, mWidth);
       }
   }
         
   return(0);
  }
//+------------------------------------------------------------------+